GNU bug report logs - #48980
[PATCH 0/2] icecat, icedove: Add U2F and WebAuthn support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brice Waegeneire <brice@HIDDEN>; Keywords: patch; merged with #49362; dated Sat, 12 Jun 2021 21:17:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 48980 49362. Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 3 Jul 2021 17:20:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 03 13:20:18 2021
Received: from localhost ([127.0.0.1]:39780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzjJS-0007HK-2i
	for submit <at> debbugs.gnu.org; Sat, 03 Jul 2021 13:20:18 -0400
Received: from world.peace.net ([64.112.178.59]:49486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1lzjJP-0007Gv-VZ
 for 48980 <at> debbugs.gnu.org; Sat, 03 Jul 2021 13:20:17 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1lzjJG-0002cS-LD; Sat, 03 Jul 2021 13:20:06 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Brice Waegeneire <brice@HIDDEN>
Subject: Re: bug#48980: [PATCH 0/2] icecat, icedove: Add U2F and WebAuthn
 support
In-Reply-To: <87k0m7xugh.fsf_-_@HIDDEN>
References: <20210612211630.10339-1-brice@HIDDEN>
 <b4b431c7-fd63-0165-295b-86ed4ce91789@HIDDEN>
 <87k0m7xugh.fsf_-_@HIDDEN>
Date: Sat, 03 Jul 2021 13:18:59 -0400
Message-ID: <87tulbgvs1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48980
Cc: 48980 <at> debbugs.gnu.org, Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Brice,

Brice Waegeneire <brice@HIDDEN> writes:
> Could you take a look at this patch adding U2F support to icecat ?

Thanks for this, but I see a problem.  The new input has key "eudev":

> @@ -910,6 +911,7 @@ from forcing GEXP-PROMISE."
>         ;; UNBUNDLE-ME! ("nss" ,nss)
>         ("shared-mime-info" ,shared-mime-info)
>         ;; UNBUNDLE-ME! ("sqlite" ,sqlite)
> +       ("eudev" ,eudev)
>         ("unzip" ,unzip)
>         ("zip" ,zip)
>         ;; UNBUNDLE-ME! ("zlib" ,zlib)

but the code added to the 'wrap-program' phase looks for key "udev":

> +                    (ld-libs (map (lambda (lib)
> +                                    (string-append (assoc-ref inputs lib)
> +                                                   "/lib"))
> +                              '("libxscrnsaver"
> +                                "mesa"
> +                                "mit-krb5"
> +                                "udev"
> +                                "pulseaudio"))))

I don't see how this can work.  Did you test it?

     Regards,
       Mark

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.




Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 3 Jul 2021 15:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 03 11:56:13 2021
Received: from localhost ([127.0.0.1]:39703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzi05-0002k7-DI
	for submit <at> debbugs.gnu.org; Sat, 03 Jul 2021 11:56:13 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:46951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lzi02-0002jr-1b
 for 48980 <at> debbugs.gnu.org; Sat, 03 Jul 2021 11:56:11 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 14AA32000B;
 Sat,  3 Jul 2021 15:56:02 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: mhw@HIDDEN
Subject: Re: bug#48980: [PATCH 0/2] icecat, icedove: Add U2F and WebAuthn
 support
References: <20210612211630.10339-1-brice@HIDDEN>
 <b4b431c7-fd63-0165-295b-86ed4ce91789@HIDDEN>
Date: Sat, 03 Jul 2021 17:55:58 +0200
In-Reply-To: <b4b431c7-fd63-0165-295b-86ed4ce91789@HIDDEN> (Jonathan
 Brielmaier's message of "Wed, 23 Jun 2021 23:09:32 +0200")
Message-ID: <87k0m7xugh.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48980
Cc: 48980 <at> debbugs.gnu.org, Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Mark,

Could you take a look at this patch adding U2F support to icecat ?

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes:

> I pushed the icedove patch as a807d849219c34d45310634ef0cfc94ad9b7025a,
> for the icecat one I would wait on Marks opinion...

Cheers,
- Brice




Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 23 Jun 2021 21:09:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 23 17:09:42 2021
Received: from localhost ([127.0.0.1]:41940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lwA7y-0005mn-0E
	for submit <at> debbugs.gnu.org; Wed, 23 Jun 2021 17:09:42 -0400
Received: from mout.web.de ([212.227.15.3]:45363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1lwA7v-0005mZ-N1
 for 48980 <at> debbugs.gnu.org; Wed, 23 Jun 2021 17:09:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1624482573;
 bh=2ihayK+P73983+wdyjoRzDI9+b47ovE9DK81yK9rVac=;
 h=X-UI-Sender-Class:To:Subject:From:Date;
 b=NBKUAzlAeNAS/rVObrx0ZjyyiIvNQ9ToVuNzBx8n8VyTIG639vYN80jTb4ma0pCoJ
 mLsffYKesaVxfOgpFGyTb/55iI/U5sqOVlwxD2ffIBBEAAfpK4O3FBdxHLHqttpqIy
 zocDYYDMZUxxeJGUYwuRmUsh7NAi4nvxH46+Dy/I=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.113] ([88.152.185.61]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MWj7r-1lkOZy22dH-00XqM3 for
 <48980 <at> debbugs.gnu.org>; Wed, 23 Jun 2021 23:09:33 +0200
To: 48980 <at> debbugs.gnu.org
Subject: [PATCH 0/2] icecat, icedove: Add U2F and WebAuthn support
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <b4b431c7-fd63-0165-295b-86ed4ce91789@HIDDEN>
Date: Wed, 23 Jun 2021 23:09:32 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.11.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:V+DvYer9OVHQGG3/i/tzls+aWjHNXmgww1k/yG51Jm3Rwtam/hB
 Ay7VOQGkd0Y7IMQLDNb1UPHAmPXjlZ2F1iRwTu7vdDZ7Zk42Az9Qbp7DlfIv18LreOwmTXt
 EGAaXub8hdkiFnB5MsmctHdo/Hk4E0M7uQO46ku8Cv8nUR4jdc6JoSZVwY9QML7Qrth5NSl
 /4hRG4T8hK66Gv0orSZ0w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WLenh+YUoWM=:y2PL4o/CuQOUcMMF0teyWz
 EKy8QJRHFr5gRWv24gOZzvYg5Nk2jWm1SEXPxmHYhRFql9vuY2LmQcQpKLiJGEjNlKZJVHdmh
 2Ijo+Xg7RPhd8Xl7Dz5n1+XPuVRus6qh1FdjhCZmIuJnnshmwY/lDypgsgVelGymJJWn+kKKE
 YDHDanjtUzQNgBMjcEIbQqWfYaPa54xG2nXv63Z2It7qKFA3esGsTzwNHhVZBtVI2RMAUv2N3
 spUHzfwe6msEY4GDmKqd1vVGI4ER5LS3vvvxToK6iDlOBTENalQEfcqZP5DBjviYtlaNqrePo
 UFPT9FlB8CjdZu2/DdFtHDORChtHBPV10oXBa4whv0jYCGk3SpX6UU9Ff42wq21y+wQKbo4eO
 PXEfQf918sxd7KP/LLxtYWqWQBfGMVNnX+sEFJwgUB/+7maCq6NCLmjsaS7cjUSZqP7SUSVJD
 h2ga577j9CMjaVUbPwTYLwDegHEU4ud25B5ZLv9mZ90p3Eyms8kndVJz2217nL6AkRVtRWDhg
 x1DhK8FyB+bjeBDn5SqgwHKoMhnEllB8Q+gpmh6YF53W/U8LagjSD0RBgPg4BcdxOaXjNUOt9
 bU+zumkyqA0KdaTSWKcISUnrMiBxZtreiEemTAww14QSvip5Hh0l9qVeGZ27PjqEXZi6iz1PV
 TXDpsoLiOeUAoB+BNa6YdMpEetBByhiFjZGVojg3tjW6nTXwBWjgu0y/XSFd2InsZf2UhhaIc
 3WV3Jhm+ueoKP+h4Pcj/EIoKkNXYukcFF+BgRVJDSUxEEPil5MEHs4OnI6VSLq28ALzQUFGEQ
 wvY6aUkyTEctsts3MyYj40FnRWNvx1JpuvgXcpyKfcxV7u8oeVZWyp0rkwONuhKOr+mHQskGe
 pzOnNiCiM9QS4+Cue5+yzIoME4wUwcwlwXRHz0jF5QjFMAeTTSlGKXz8x7EfC1k+OjL9FT6MH
 BhK3bt9WBP99o6Jtv2rT5S0ITiXZK4S0LserdWBE09xHavfGn4otaeXjZi16bDudclo42yfVC
 uMBL4kySjXFQwBgXhmz9hR0Wnv+2zbO6W39hRMp3E13BciYOrfVZN/Q3V9K30L8UuCH4uw71F
 +3qszcFKewCAcLYuZ+Rmbx0LIIB5+RpEKsEoUQnGH5rcbLLcOyRNZmoqw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48980
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I pushed the icedove patch as a807d849219c34d45310634ef0cfc94ad9b7025a,
for the icecat one I would wait on Marks opinion...




Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 20 Jun 2021 09:32:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 20 05:32:38 2021
Received: from localhost ([127.0.0.1]:33085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lutok-0004TD-Ca
	for submit <at> debbugs.gnu.org; Sun, 20 Jun 2021 05:32:38 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:29687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lutoe-0004Sg-DI
 for 48980 <at> debbugs.gnu.org; Sun, 20 Jun 2021 05:32:32 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id DEB54240008
 for <48980 <at> debbugs.gnu.org>; Sun, 20 Jun 2021 09:32:25 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: 48980 <at> debbugs.gnu.org
Subject: [PATCH v2 2/2] gnu: icedove: Add WebAuthn support.
Date: Sun, 20 Jun 2021 11:32:22 +0200
Message-Id: <20210620093222.3519-2-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20210620093222.3519-1-brice@HIDDEN>
References: <20210612211630.10339-1-brice@HIDDEN>
 <20210620093222.3519-1-brice@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48980
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnuzilla.scm (icedove)[inputs]: Add eudev.
[phases]: Add eudev to the wrapper.
---
 gnu/packages/gnuzilla.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 84feab777e..053d4f1822 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -1542,10 +1542,12 @@ standards of the IceCat project.")
                     (gtk (assoc-ref inputs "gtk+"))
                     (gtk-share (string-append gtk "/share"))
                     (pulseaudio (assoc-ref inputs "pulseaudio"))
-                    (pulseaudio-lib (string-append pulseaudio "/lib")))
+                    (pulseaudio-lib (string-append pulseaudio "/lib"))
+                    (eudev (assoc-ref inputs "eudev"))
+                    (eudev-lib (string-append eudev "/lib")))
                (wrap-program (car (find-files lib "^icedove$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib)))
+                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib ,eudev-lib)))
                #t))))))
     (inputs
      `(("bzip2" ,bzip2)
@@ -1581,6 +1583,7 @@ standards of the IceCat project.")
        ("pulseaudio" ,pulseaudio)
        ("sqlite" ,sqlite)
        ("startup-notification" ,startup-notification)
+       ("eudev" ,eudev)
        ("unzip" ,unzip)
        ("zip" ,zip)
        ("zlib" ,zlib)))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 20 Jun 2021 09:32:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 20 05:32:33 2021
Received: from localhost ([127.0.0.1]:33083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lutoe-0004Sw-Vk
	for submit <at> debbugs.gnu.org; Sun, 20 Jun 2021 05:32:33 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:33971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lutod-0004Se-Cq
 for 48980 <at> debbugs.gnu.org; Sun, 20 Jun 2021 05:32:32 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 851F820004
 for <48980 <at> debbugs.gnu.org>; Sun, 20 Jun 2021 09:32:24 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: 48980 <at> debbugs.gnu.org
Subject: [PATCH v2 1/2] gnu: icecat: Add WebAuthn support.
Date: Sun, 20 Jun 2021 11:32:21 +0200
Message-Id: <20210620093222.3519-1-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20210612211630.10339-1-brice@HIDDEN>
References: <20210612211630.10339-1-brice@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48980
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnuzilla.scm (icecat)[inputs]: Add eudev.
[phases]: Add eudev to the wrapper.
---
 gnu/packages/gnuzilla.scm | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

Rebased.

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index a997fc1c73..84feab777e 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2019, 2020 Adrian Malacoda <malacoda@HIDDEN>
 ;;; Copyright © 2020 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright © 2021 Brice Waegeneire <brice@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -910,6 +911,7 @@ from forcing GEXP-PROMISE."
        ;; UNBUNDLE-ME! ("nss" ,nss)
        ("shared-mime-info" ,shared-mime-info)
        ;; UNBUNDLE-ME! ("sqlite" ,sqlite)
+       ("eudev" ,eudev)
        ("unzip" ,unzip)
        ("zip" ,zip)
        ;; UNBUNDLE-ME! ("zlib" ,zlib)
@@ -1271,24 +1273,21 @@ from forcing GEXP-PROMISE."
                     (lib (string-append out "/lib"))
                     (gtk (assoc-ref inputs "gtk+"))
                     (gtk-share (string-append gtk "/share"))
-                    (mesa (assoc-ref inputs "mesa"))
-                    (mesa-lib (string-append mesa "/lib"))
-                    (pulseaudio (assoc-ref inputs "pulseaudio"))
-                    (pulseaudio-lib (string-append pulseaudio "/lib"))
-                    (libxscrnsaver (assoc-ref inputs "libxscrnsaver"))
-                    (libxscrnsaver-lib (string-append libxscrnsaver "/lib"))
-                    (mit-krb5 (assoc-ref inputs "mit-krb5"))
-                    (mit-krb5-lib (string-append mit-krb5 "/lib")))
+                    (ld-libs (map (lambda (lib)
+                                    (string-append (assoc-ref inputs lib)
+                                                   "/lib"))
+                              '("libxscrnsaver"
+                                "mesa"
+                                "mit-krb5"
+                                "udev"
+                                "pulseaudio"))))
                (wrap-program (car (find-files lib "^icecat$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
                  ;; The following line is commented out because the icecat
                  ;; package on guix has been observed to be unstable when
                  ;; using wayland, and the bundled extensions stop working.
                  ;;   `("MOZ_ENABLE_WAYLAND" = ("1"))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib
-                                             ,mesa-lib
-                                             ,libxscrnsaver-lib
-                                             ,mit-krb5-lib)))
+                 `("LD_LIBRARY_PATH" prefix ,ld-libs))
                #t))))))
     (home-page "https://www.gnu.org/software/gnuzilla/")
     (synopsis "Entirely free browser derived from Mozilla Firefox")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at 48980 <at> debbugs.gnu.org:


Received: (at 48980) by debbugs.gnu.org; 13 Jun 2021 07:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 13 03:51:32 2021
Received: from localhost ([127.0.0.1]:42555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsKu4-0006nd-Lr
	for submit <at> debbugs.gnu.org; Sun, 13 Jun 2021 03:51:32 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:56421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lsKu2-0006nQ-Ml
 for 48980 <at> debbugs.gnu.org; Sun, 13 Jun 2021 03:51:31 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 736D860003;
 Sun, 13 Jun 2021 07:51:23 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: bug#48980: [PATCH 0/2] icecat, icedove: Add U2F and WebAuthn
 support
In-Reply-To: <43c38e66-a37b-a781-280c-cbe591250449@HIDDEN> (Jonathan
 Brielmaier's message of "Sun, 13 Jun 2021 00:09:55 +0200")
References: <20210612211630.10339-1-brice@HIDDEN>
 <20210612211931.11736-2-brice@HIDDEN>
 <43c38e66-a37b-a781-280c-cbe591250449@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
Date: Sun, 13 Jun 2021 09:51:17 +0200
Message-ID: <877diyfbii.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48980
Cc: 48980 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Jonathan,

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> writes:

> does Webauthn have any use case in Thunderbird? do you use it?

I don't need U2F support in Icecdove. Before working on this patch I too
didn't knew Icedove was missing U2F support.  But glanccing at nixpkgs
repo I have found a closed bug=C2=B9 about that; there you can see someone
needed two factor authorization to login into its account.

=C2=B9 https://github.com/NixOS/nixpkgs/issues/87642

Cheers,
- Brice




Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2021 22:10:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 18:10:07 2021
Received: from localhost ([127.0.0.1]:42300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsBpO-0001AO-S2
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 18:10:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:58890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1lsBpN-0001AG-4k
 for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 18:10:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38734)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1lsBpJ-0000Fs-KQ
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 18:10:04 -0400
Received: from mout.web.de ([212.227.17.12]:58305)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1lsBpH-0006aT-Kq
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 18:10:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1623535796;
 bh=80VHbQj04ZppCTinSFJLT/4URhWyKxStOQhE91MeXP8=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Xia0+iekFapDlR1dfhSt/ZBSwp8jMDDoU2AqL0KzoIJxUBZ7XbGgtNXXbaA9nVvLF
 XGmChhUKojDs5zknqEvbG5lvxjGa33oBYAZZfb7ZYjir1Sg80FcPQpv+iGFNJcRRon
 ZRvYQDHzO8UMI6/gSK59x56eklyUrKSsWrQt0ubw=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from linux.fritz.box ([88.152.185.61]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MiuSs-1lMPqB3jWu-00etVa for
 <guix-patches@HIDDEN>; Sun, 13 Jun 2021 00:09:56 +0200
Subject: Re: [bug#48980] [PATCH 2/2] gnu: icedove: Add WebAuthn support.
To: guix-patches@HIDDEN
References: <20210612211630.10339-1-brice@HIDDEN>
 <20210612211931.11736-2-brice@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <43c38e66-a37b-a781-280c-cbe591250449@HIDDEN>
Date: Sun, 13 Jun 2021 00:09:55 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.2
MIME-Version: 1.0
In-Reply-To: <20210612211931.11736-2-brice@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:PpnaJT1OoXB5DUYfz/QpwMM3GS7Qqe51bjlmoHHvIBZGfH0sVF0
 T/G/uHhFuPmzJZGmR7ekapRwBJT7XwgFX/WKNcIiYErPmMa0J740znD5A8Jkz/TgwYZTbeb
 eU8U66L63b6xWqSbABTepS1bvOIahRBm/LYXKIRtMBFnUm9o6MEbaTXKQz5KsXhkGTgcxeK
 4LvRK7vbBjP83tpS6w6Nw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PZbfWyByvOg=:nD0CYVB68lnB4vJXPRW7Gq
 +UvrlsHZvO6aqWCHEuzRiPpotoj6yiD786T+Enf/M0p+WqbP2NcBWwIcV9vvoEIFYybXMW4zJ
 VYj6SAqldIERlYlxJZS4f4Onz8K/Bi4W7pTB+LXUiZYyL41R80sb/kIsQwkxu7PLWwZM6Fus+
 F42p2f3NrxbiBoMuK+APc2iIIv984M+VBKg2c9I349nx/vyAWHyNcVTc5cHPW117t84QqvmqW
 UNsSoxMxOKXcRMRIRW+Ib4NrDRpuBghJ6gX7mvFxKpxa7m6KCqTB78/HFSYN3FjmHG8stxTaF
 YFSFK6KqxS6QbNf3EbAKY4GCqU1uNseMA5qmt63bIR117DtqTpif+Vxxiynnkft/G+z376uTv
 am7azw59hZ+/Zl+KmNFWux/+HgJm22sY7onrKC8KPNjcEJU0AujaaMhA8nxl3abxxOneRZ/mg
 P56EBbyZ+lZzigRMgA++TDHrHgBZ59tTnCSlcq5KF08s7OTruN1nyEuat27p2Y9nDS0sd4yzJ
 fkfObsrrUK2QSAnQaTGrwdGsy2sXhSZTGB1s7ImGxv790TZPiyppyI11Ys/czP0GS043GkGoF
 3HswSlUpJqxmyuHQPaK7Nsk8LQueSrVbphJVFApz6oglw+2a8VF+sOiE7P8SmQN2C4mDu96F4
 pIlUz01k7GC9uL2nv7LgZD03NDzsB5v/49Vh3TG7R3QNdbqvB+/oJj8NhPHm7Y8qn4LjpzYOh
 g87EuMFv66rw5kNuot20W9QYPe2m6GigAEn9ixSZOjOjqTJgyfjUORFcwCZI8/i+CjFyqcK0A
 zc0XCl9QcRDTwNZhY3P3JHfLr30fxciQ984NzGV0Y9Di2UfFQk7VSKr1+kY9nrISGY0R3chdi
 GVD0emN8zZ3ch0taiFUvzpP+f8xQjUvfMW7rqn1emc/QIf6DvYTZVBAVCRnWkXbihEm3790Wx
 wKJvTYxkdzB6vwMqtqrUsfMUMsXnYS+E6tYG5TrmkFYDmqikLb8WluqOGlsxj60g0hJ1VnFXa
 kDI/NAp3yAeqmv1nhmmuxfdMV+OpeN/1O4MdmRe9gr+JaTpNTymGbtYE4gD8yk8hjP2WyZFEN
 gg355PdcA2RMk/NBGLOpU4M0twY0qF/ojP0Frg5OYkzPlLoAhbz7axfHg==
Received-SPF: pass client-ip=212.227.17.12;
 envelope-from=jonathan.brielmaier@HIDDEN; helo=mout.web.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 NICE_REPLY_A=-0.001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Brice,

does Webauthn have any use case in Thunderbird? do you use it?

Am 12.06.21 um 23:19 schrieb Brice Waegeneire:
> * gnu/packages/gnuzilla.scm (icedove)[inputs]: Add eudev.
> [phases]: Add eudev to the wrapper.




Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2021 21:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 17:19:46 2021
Received: from localhost ([127.0.0.1]:42214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsB2b-0008Fy-CE
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:19:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:41856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lsB2Z-0008Fj-K8
 for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:19:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34030)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsB2Z-00037B-EM
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:19:39 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:50373)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsB2X-00079m-FT
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:19:39 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id D032F240002
 for <guix-patches@HIDDEN>; Sat, 12 Jun 2021 21:19:34 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: icecat: Add WebAuthn support.
Date: Sat, 12 Jun 2021 23:19:30 +0200
Message-Id: <20210612211931.11736-1-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20210612211630.10339-1-brice@HIDDEN>
References: <20210612211630.10339-1-brice@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.178.230; envelope-from=brice@HIDDEN;
 helo=relay10.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/gnuzilla.scm (icecat)[inputs]: Add eudev.
[phases]: Add eudev to the wrapper.
---
 gnu/packages/gnuzilla.scm | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index c63809c20c..6255d56f16 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2019, 2020 Adrian Malacoda <malacoda@HIDDEN>
 ;;; Copyright © 2020 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright © 2021 Brice Waegeneire <brice@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -910,6 +911,7 @@ from forcing GEXP-PROMISE."
        ;; UNBUNDLE-ME! ("nss" ,nss)
        ("shared-mime-info" ,shared-mime-info)
        ;; UNBUNDLE-ME! ("sqlite" ,sqlite)
+       ("eudev" ,eudev)
        ("unzip" ,unzip)
        ("zip" ,zip)
        ;; UNBUNDLE-ME! ("zlib" ,zlib)
@@ -1271,19 +1273,20 @@ from forcing GEXP-PROMISE."
                     (lib (string-append out "/lib"))
                     (gtk (assoc-ref inputs "gtk+"))
                     (gtk-share (string-append gtk "/share"))
-                    (mesa (assoc-ref inputs "mesa"))
-                    (mesa-lib (string-append mesa "/lib"))
-                    (pulseaudio (assoc-ref inputs "pulseaudio"))
-                    (pulseaudio-lib (string-append pulseaudio "/lib"))
-                    (libxscrnsaver (assoc-ref inputs "libxscrnsaver"))
-                    (libxscrnsaver-lib (string-append libxscrnsaver "/lib")))
+                    (ld-libs (map (lambda (lib)
+                                    (string-append (assoc-ref inputs lib)
+                                                   "/lib"))
+                              '("libxscrnsaver"
+                                "mesa"
+                                "udev"
+                                "pulseaudio"))))
                (wrap-program (car (find-files lib "^icecat$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
                  ;; The following line is commented out because the icecat
                  ;; package on guix has been observed to be unstable when
                  ;; using wayland, and the bundled extensions stop working.
                  ;;   `("MOZ_ENABLE_WAYLAND" = ("1"))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib ,mesa-lib ,libxscrnsaver-lib)))
+                 `("LD_LIBRARY_PATH" prefix ,ld-libs))
                #t))))))
     (home-page "https://www.gnu.org/software/gnuzilla/")
     (synopsis "Entirely free browser derived from Mozilla Firefox")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2021 21:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 17:19:41 2021
Received: from localhost ([127.0.0.1]:42212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsB2a-0008Fu-OH
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:19:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:41840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lsB2Z-0008Fh-8t
 for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:19:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34028)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsB2Z-00036S-2O
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:19:39 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:54045)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsB2X-0007Ae-JD
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:19:38 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id D8B2F20005
 for <guix-patches@HIDDEN>; Sat, 12 Jun 2021 21:19:35 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 2/2] gnu: icedove: Add WebAuthn support.
Date: Sat, 12 Jun 2021 23:19:31 +0200
Message-Id: <20210612211931.11736-2-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20210612211630.10339-1-brice@HIDDEN>
References: <20210612211630.10339-1-brice@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.183.200; envelope-from=brice@HIDDEN;
 helo=relay7-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

* gnu/packages/gnuzilla.scm (icedove)[inputs]: Add eudev.
[phases]: Add eudev to the wrapper.
---
 gnu/packages/gnuzilla.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 6255d56f16..a6f0e61b12 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -1541,10 +1541,12 @@ standards of the IceCat project.")
                     (gtk (assoc-ref inputs "gtk+"))
                     (gtk-share (string-append gtk "/share"))
                     (pulseaudio (assoc-ref inputs "pulseaudio"))
-                    (pulseaudio-lib (string-append pulseaudio "/lib")))
+                    (pulseaudio-lib (string-append pulseaudio "/lib"))
+                    (eudev (assoc-ref inputs "eudev"))
+                    (eudev-lib (string-append eudev "/lib")))
                (wrap-program (car (find-files lib "^icedove$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib)))
+                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib ,eudev-lib)))
                #t))))))
     (inputs
      `(("bzip2" ,bzip2)
@@ -1580,6 +1582,7 @@ standards of the IceCat project.")
        ("pulseaudio" ,pulseaudio)
        ("sqlite" ,sqlite)
        ("startup-notification" ,startup-notification)
+       ("eudev" ,eudev)
        ("unzip" ,unzip)
        ("zip" ,zip)
        ("zlib" ,zlib)))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2021 21:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 17:16:44 2021
Received: from localhost ([127.0.0.1]:42197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsAzj-0008AC-Mn
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:16:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:40890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brice@HIDDEN>) id 1lsAzh-0008A5-VK
 for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 17:16:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33788)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsAzh-0002ND-Ka
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:16:41 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:53637)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brice@HIDDEN>) id 1lsAzf-0005Ag-L0
 for guix-patches@HIDDEN; Sat, 12 Jun 2021 17:16:41 -0400
Received: (Authenticated sender: brice@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id B58B320006
 for <guix-patches@HIDDEN>; Sat, 12 Jun 2021 21:16:33 +0000 (UTC)
From: Brice Waegeneire <brice@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] icecat, icedove: Add U2F and WebAuthn support
Date: Sat, 12 Jun 2021 23:16:30 +0200
Message-Id: <20210612211630.10339-1-brice@HIDDEN>
X-Mailer: git-send-email 2.31.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=217.70.183.200; envelope-from=brice@HIDDEN;
 helo=relay7-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

This patch set closes https://issues.guix.gnu.org/45613 and
https://issues.guix.gnu.org/38341.

Brice Waegeneire (2):
  gnu: icecat: Add WebAuthn support.
  gnu: icedove: Add WebAuthn support.

 gnu/packages/gnuzilla.scm | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

-- 
2.31.1





Acknowledgement sent to Brice Waegeneire <brice@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48980; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Jul 2021 04:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.